POSTsuix_queryTransactionBlocks

Sui Mainnethttps://sui-mainnet.nodit.io/

Return list of transactions for a specified query criteria.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]object
filteroneOf
Checkpointstringrequired
optionsobject
showBalanceChangesboolean

Whether to show balance_changes. Default to be False

showEffectsboolean

Whether to show transaction effects. Default to be False

showEventsboolean

Whether to show transaction events. Default to be False

showInputboolean

Whether to show transaction input data. Default to be False

showObjectChangesboolean

Whether to show object_changes. Default to be False

showRawEffectsboolean

Whether to show raw transaction effects. Default to be False

showRawInputboolean

Whether to show bcs-encoded transaction input data

Responses
jsonrpcstring
idinteger
dataobject[]required
balanceChangesarraynull
checkpointstring
confirmedLocalExecutionbooleannull
digeststringrequired

A transaction will have a (unique) digest.

effectsoneOf
object 1object
abortErrorobject
error_codeinteger,null (uint64)
functionstringnull
lineinteger,null (uint16)
module_idstringnull
createdobject[]

ObjectRef and owner of new objects created.

owneroneOfrequired
object 1object
object 2object
object 3object
string 4string (enum)
object 5object
referenceobjectrequired
deletedobject[]

Object Refs of objects now deleted (the old refs).

digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

dependenciesstring[]

The set of transaction digests this transaction depends on.

eventsDigeststring

A representation of a 32 byte digest

executedEpochstringrequired

The epoch when this transaction was executed.

gasObjectobjectrequired

The updated gas object reference. Have a dedicated field for convenient access. It's also included in mutated.

owneroneOfrequired
object 1object
object 2object
object 3object
string 4string (enum)
object 5object
referenceobjectrequired
gasUsedobjectrequired

Summary of the charges in a transaction. Storage is charged independently of computation. There are 3 parts to the storage charges: storage_cost: it is the charge of storage at the time the transaction is executed. The cost of storage is the number of bytes of the objects being mutated multiplied by a variable storage cost per byte storage_rebate: this is the amount a user gets back when manipulating an object. The storage_rebate is the storage_cost for an object minus fees. non_refundable_storage_fee: not all the value of the object storage cost is given back to user and there is a small fraction that is kept by the system. This value tracks that charge.

When looking at a gas cost summary the amount charged to the user is computation_cost + storage_cost - storage_rebate and that is the amount that is deducted from the gas coins. non_refundable_storage_fee is collected from the objects being mutated/deleted and it is tracked by the system in storage funds.

Objects deleted, including the older versions of objects mutated, have the storage field on the objects added up to a pool of "potential rebate". This rebate then is reduced by the "nonrefundable rate" such that: potential_rebate(storage cost of deleted/mutated objects) = storage_rebate + non_refundable_storage_fee

computationCoststringrequired

Cost of computation/execution

nonRefundableStorageFeestringrequired

The fee for the rebate. The portion of the storage rebate kept by the system.

storageCoststringrequired

Storage cost, it's the sum of all storage cost for all objects created or mutated.

storageRebatestringrequired

The amount of storage cost refunded to the user for all objects deleted or mutated in the transaction.

messageVersionstring (enum)required
modifiedAtVersionsobject[]

The version that every modified (mutated or deleted) object had before it was modified by this transaction.

objectIdstringrequired

Hex string encoding.

sequenceNumberinteger (uint64)required
mutatedobject[]

ObjectRef and owner of mutated objects, including gas object.

owneroneOfrequired
object 1object
object 2object
object 3object
string 4string (enum)
object 5object
referenceobjectrequired
sharedObjectsobject[]

The object references of the shared objects used in this transaction. Empty if no shared objects were used.

digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

statusoneOfrequired

The status of the execution

object 1object
statusstring (enum)required
object 2object
errorstringrequired
statusstring (enum)required
transactionDigeststringrequired

The transaction digest

unwrappedobject[]

ObjectRef and owner of objects that are unwrapped in this transaction. Unwrapped objects are objects that were wrapped into other objects in the past, and just got extracted out.

owneroneOfrequired
object 1object
object 2object
object 3object
string 4string (enum)
object 5object
referenceobjectrequired
unwrappedThenDeletedobject[]

Object refs of objects previously wrapped in other objects but now deleted.

digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

wrappedobject[]

Object refs of objects now wrapped in other objects.

digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

errorsstring[]
eventsarraynull
objectChangesarraynull
rawEffectsinteger (uint8)[]
rawTransactionstring

BCS encoded [SenderSignedData] that includes input object references returns empty array if show_raw_transaction is false

timestampMsstring
transactionobject
dataoneOfrequired
object 1object
gasDataobjectrequired
messageVersionstring (enum)required
senderstringrequired

Hex string encoding.

transactiononeOfrequired
object 1object
object 2object
object 3object
object 4object
object 5object
object 6object
object 7object
object 8object
object 9object
object 10object
object 11object
txSignaturesoneOf[]required
object 1object
MultiSigobjectrequired

The struct that contains signatures and public keys necessary for authenticating a MultiSig.

object 2object
MultiSigLegacyobjectrequired

Deprecated, use [struct MultiSig] instead. The struct that contains signatures and public keys necessary for authenticating a MultiSigLegacy.

object 3object
SignatureoneOfrequired
object 1object
object 2object
object 3object
object 4object
ZkLoginAuthenticatorobjectrequired

An zk login authenticator with all the necessary fields.

object 5object
PasskeyAuthenticatorobjectrequired

An passkey authenticator with parsed fields. See field defition below. Can be initialized from [struct RawPasskeyAuthenticator].

hasNextPagebooleanrequired
nextCursorstring

A transaction will have a (unique) digest.

X-API-KEY
RequestCU350
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_queryTransactionBlocks",
  "params": [
    {
      "filter": {
        "InputObject": "0x93633829fcba6d6e0ccb13d3dbfe7614b81ea76b255e5d435032cd8595f37eb8"
      },
      "options": null
    },
    "HxidAfFfyr4kXSiWeVq1J6Tk526YUVDoSUY5PSnS4tEJ",
    100,
    false
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "data": [
      {
        "digest": "GUPcK4cmRmgsTFr52ab9f6fnzNVg3Lz6hF2aXFcsRzaD"
      },
      {
        "digest": "B2iV1SVbBjgTKfbJKPQrvTT6F3kNdekFuBwY9tQcAxV2"
      },
      {
        "digest": "8QrPa4x9iNG5r2zQfmeH8pJoVjjtq9AGzp8rp2fxi8Sk"
      },
      {
        "digest": "3nek86HEjXZ7K3EtrAcBG4wMrCS21gqr8BqwwC6M6P7F"
      }
    ],
    "nextCursor": "3nek86HEjXZ7K3EtrAcBG4wMrCS21gqr8BqwwC6M6P7F",
    "hasNextPage": false
  },
  "id": 1
}